//+------------------------------------------------------------------+
//|                                                      Monkeys.mq4 |
//|                                           Copyleft  2007, timbo |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyleft  2008, timbo"
#property link      ""

//---- input parameters
extern int        TotalNumber=1; //use optimization from 1 to 603 step 1 WITHOUT genetic algorithm to start Monkeys Championship 2008
extern double     Lots=0; // 0 - automatic lot, any other fixed lot


#include <lot_lib.mqh>
			
int init()
{
    lotlib_PrevLots = 0.0;  lotlib_PrevProfit = 0.0;
}

int start()
  {
//----
   int total=OrdersTotal();
   if(total>0) return;
   string mySymbol = Symbol(); 
   int cmd; double volume=Lots; double price; double stoploss; double takeprofit; int magic=1111; color arrow_color;
   
   LotSizeVariant = 6; // kill it if you want to use lot_lib
   MaxRisk = 33; // kill it if you want to use lot_lib
      
   MathSrand(iTime(mySymbol,0,0)*TotalNumber); 
   int SL = 100*MathRand()/32767+10;
   int TP = 100*MathRand()/32767+10;
   if(MathRand() > 32767.0/2.0) 
   { 
      cmd = 0; price=Ask; 
      stoploss=NormalizeDouble(Ask-SL*Point,Digits); 
      takeprofit=NormalizeDouble(Ask+TP*Point,Digits); 
      magic=1111; arrow_color=Green;
   } else { 
      cmd = 1; price=Bid; 
      stoploss=NormalizeDouble(Bid+SL*Point,Digits); 
      takeprofit=NormalizeDouble(Bid-TP*Point,Digits); 
      magic=1111; arrow_color=Red;
   }
   
   lotlib_OpenPriceLevel=price;
   lotlib_StopLossLevel = stoploss;
   if(volume == 0) 
   { 
      volume = Lot();
      if(volume > 15) volume = 15;
   }
   OrderOpen(mySymbol, cmd, volume, price, stoploss, takeprofit, magic, arrow_color);
   
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

int OrderOpen(string mySymbol, int cmd, double volume, double price, double stoploss, double takeprofit, int magic, color arrow_color)
{
   int ticket = OrderSend(mySymbol, cmd, volume, price, 4, stoploss, takeprofit, NULL, magic, 0, arrow_color);
   return(ticket);
}